POST

/api/v1/smart_trades/:id/add_funds

Permission: SMART_TRADES_WRITESecurity: SIGNED

Adds funds to an active SmartTrade, increasing the total trade volume and dollar-cost-averaging the entry price at any moment.

This endpoint is available for SmartTrades with status waiting_position and waiting_targets, but not for trades with trailing enabled or types simple_buy and simple_sell.
SmartTrade Entity

Path Parameter

idinteger required

Unique Quentrade ID for this SmartTrade entity.

Body Parameters

3
order_typestring required

Order execution type for adding funds to this SmartTrade: market or limit.

unitsobject required

Defines the amount of units to add into this SmartTrade.

valuenumber required

Specifies the number of units to purchase.

priceobject required

Provides pricing details for the limit order. This parameter is required if order_type is set to limit.

valuenumber required

Execution price for the limit order.

Response Parameters

If successful, the response includes an updated copy of the SmartTrade entity with re-calculated position volume, entered totals, and average prices.

Example Request

add_funds_request.json
POST /api/v1/smart_trades/:id/add_funds
{
  "order_type": "limit",
  "units": {
    "value": "14.60138226"
  },
  "price": {
    "value": "0.10457"
  }
}

Example Responses

Returns HTTP 201 Created on success, 400 Bad Request on invalid status/type, or 422 Unprocessable Entity on validation error.

add_funds_201.json
201 Created
{
  "id": 30415988,
  "version": 2,
  "account": {
    "id": 32402783,
    "type": "binance_us",
    "name": "My Binance US",
    "market": "Binance US Spot",
    "link": "/accounts/32402783"
  },
  "pair": "USDT_DOGE",
  "instant": false,
  "status": {
    "type": "waiting_targets",
    "basic_type": "waiting_targets",
    "title": "Waiting Targets"
  },
  "leverage": {
    "enabled": false
  },
  "position": {
    "type": "buy",
    "order_type": "market",
    "editable": false,
    "units": {
      "value": "43.736",
      "editable": false
    },
    "price": {
      "value": "0.10457",
      "value_without_commission": "0.10394",
      "editable": false
    },
    "total": {
      "value": "4.57371",
      "value_without_commission": "4.54626774"
    },
    "status": {
      "type": "finished",
      "basic_type": "finished",
      "title": "Finished"
    }
  },
  "take_profit": {
    "enabled": true,
    "price_type": "value",
    "steps": [
      {
        "id": 1007239535,
        "order_type": "limit",
        "editable": true,
        "units": {
          "value": "43.0"
        },
        "price": {
          "type": "last",
          "value": "0.1098",
          "percent": "5.0"
        },
        "volume": "100.0",
        "total": "4.7214",
        "trailing": {
          "enabled": false,
          "percent": null
        },
        "status": {
          "type": "order_placed",
          "basic_type": "order_placed",
          "title": "Placed"
        },
        "data": {
          "cancelable": true,
          "panic_sell_available": true
        },
        "position": 1
      }
    ]
  },
  "stop_loss": {
    "enabled": true,
    "price_type": "value",
    "breakeven": false,
    "order_type": "market",
    "editable": true,
    "price": {
      "value": null,
      "percent": null
    },
    "conditional": {
      "price": {
        "value": "0.10056",
        "type": "last",
        "percent": null
      },
      "trailing": {
        "enabled": false,
        "percent": null
      }
    },
    "timeout": {
      "enabled": false,
      "value": null
    },
    "status": {
      "type": "to_process",
      "basic_type": "to_process",
      "title": "Pending"
    }
  },
  "reduce_funds": {
    "steps": []
  },
  "market_close": {},
  "note": "",
  "note_raw": null,
  "skip_enter_step": false,
  "data": {
    "editable": true,
    "current_price": {
      "bid": "0.10244",
      "ask": "0.10265",
      "last": "0.1025",
      "quote_volume": "255295.82542",
      "day_change_percent": "-2.539"
    },
    "target_price_type": "price",
    "orderbook_price_currency": "USDT",
    "base_order_finished": true,
    "missing_funds_to_close": "0.0",
    "liquidation_price": null,
    "average_enter_price": "0.10457",
    "average_close_price": null,
    "average_enter_price_without_commission": "0.10394",
    "average_close_price_without_commission": null,
    "panic_sell_available": true,
    "add_funds_available": true,
    "reduce_funds_available": true,
    "force_start_available": false,
    "force_process_available": true,
    "cancel_available": true,
    "finished": false,
    "base_position_step_finished": true,
    "entered_amount": "43.736",
    "entered_total": "4.57371",
    "closed_amount": "0.0",
    "closed_total": "0.0",
    "commission": 0.001,
    "created_at": "2024-08-13T16:19:42.870Z",
    "updated_at": "2024-08-14T15:06:56.792Z",
    "type": "smart_trade"
  },
  "profit": {
    "volume": "-0.09787447584",
    "usd": "-0.09787447584",
    "percent": "-2.14",
    "roe": null
  },
  "margin": {
    "amount": null,
    "total": null
  },
  "is_position_not_filled": false
}